Data Tables
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
pageinteger ยท min: 1Optional
Page number (default 1)
pageSizeinteger ยท min: 1 ยท max: 100Optional
Items per page (default 20, max 100)
Responses
200
Paginated list of data tables
application/json
totalCountintegerOptional
pageintegerOptional
pageSizeintegerOptional
totalPagesintegerOptional
401
Unauthorized
get/data-tables/get
GET /data-tables/get HTTP/1.1
Host: api.autocontentapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"items": [
{
"id": "text",
"url": "https://example.com",
"status": 1,
"createdOn": "2026-01-01T00:00:00.000Z"
}
],
"totalCount": 1,
"page": 1,
"pageSize": 1,
"totalPages": 1
}Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
dataTableIdstringRequired
Data table request identifier
Responses
200
Binary data table file stream
application/octet-stream
string ยท binaryOptional
401
Unauthorized
404
Data table not found or not ready
502
Upstream asset unavailable
get/data-tables/{dataTableId}/download
GET /data-tables/{dataTableId}/download HTTP/1.1
Host: api.autocontentapi.com
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
binaryLast updated